<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp2.0</TargetFramework>
    <RootNamespace>Sila2.Examples.Metadata.LockingClientApp</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <SilaFeature Include="..\..\..\sila_base\feature_definitions\org\silastandard\core\LockController.sila.xml" Link="features\LockController.sila.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </SilaFeature>
    <SilaFeature Include="..\..\..\sila_base\feature_definitions\org\silastandard\examples\GreetingProvider.sila.xml" Link="features\GreetingProvider.sila.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </SilaFeature>
  </ItemGroup>
  
  <ItemGroup>
    <ProjectReference Include="..\..\..\src\Sila2.Utils\Sila2.Utils.csproj" />
    <ProjectReference Include="..\..\..\src\Sila2\Sila2.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Sila2.Tools" Version="[$(Sila2Version)]" />
  </ItemGroup>

</Project>
